打开/关闭菜单
打开/关闭外观设置菜单
打开/关闭个人菜单
未登录
未登录用户的IP地址会在进行任意编辑后公开展示。

RIA Wiki 已更新到 1.41!部分 CSS 在新版本下可能有不同的表现,请编辑者注意检查和修改。 目前wiki关闭了自行注册账号的功能,如需注册账号,请查阅Help:注册账号

模块:Navbox/styles.css:修订间差异

来自RIA | Wiki
Aunst留言 | 贡献
建立内容为“Default style for navigation boxes:​ .navbox { Navbox container style:​ box-sizing: border-box; border: 1px solid #a2a9b1; width: 100%; clear…”的新页面
 
Aunst留言 | 贡献
去掉navbox类里的-s
 
(未显示同一用户的14个中间版本)
第1行: 第1行:
/* Default style for navigation boxes */
/* Navbox styles
* 导航盒样式
*
* @source https://en.wikipedia.org/wiki/Module:Navbox/styles.css
* @revision 2026-03-24
*/
.navbox {
.navbox {
   /* Navbox container style */
   border: 1px solid rgb(162, 169, 177);
    
   padding: 0.25em;
  box-sizing: border-box;
}
   border: 1px solid #a2a9b1;
 
   width: 100%;
.navbox, .navbox-subgroup {
   clear: both;
   display: flex;
  font-size: 88%;
   flex-direction: column;
   text-align: center;
   gap: 2px;
  padding: 1px;
}
   margin: 1em auto 0;       /* Prevent preceding content from clinging to navboxes */
.navbox .navbox-title, .navbox-subgroup .navbox-title {
   text-align: left;
}
 
.navbox + .component-templatestyles + .navbox {
   margin-top: -1px;
}
}
.navbox .navbox {
 
   margin-top: 0;           /* No top margin for nested navboxes */
.navbox-title {
   padding: 0.25em calc(0.5em + 0.5vw);
}
}
.navbox + .navbox {
.navbox-title-text {
   margin-top: -1px;         /* Single pixel border between adjacent navboxes */
   font-weight: 700;
}
}
.navbox-inner,
.navbox-body {
.navbox-subgroup {
  display: flex;
   width: 100%;
  flex-direction: column;
  flex: 1 0 auto;
   gap: 2px;
}
}
.navbox-group,
.navbox-title,
.navbox-abovebelow {
.navbox-abovebelow {
  padding: 0.25em 1em;      /* Title, group and above/below styles */
  line-height: 1.5em;
   text-align: center;
   text-align: center;
  padding: 0.25em calc(0.5em + 0.5vw);
}
}
th.navbox-group {             /* Group style */
.navbox-ci {
   white-space: nowrap;
   display: flex;
   /* @noflip */
   gap: 2px;
  text-align: right;
}
}
.navbox,
.navbox-image {
.navbox-subgroup {
   flex: 0 0 auto;
   background-color: #fdfdfd; /* Background color */
  display: none;
  padding: 0 0.25em;
}
}
.navbox-list {
.navbox-lists {
   line-height: 1.5em;
   flex: 1 1 auto;
   border-color: #fdfdfd;   /* Must match background color */
  display: grid;
   grid-template-columns: 1fr;
  gap: 2px;
}
}
/* cell spacing for navbox cells */
.navbox-group {
tr + tr > .navbox-abovebelow,
  padding: 0.25em calc(0.5em + 0.5vw);
tr + tr > .navbox-group,
   font-weight: 700;
tr + tr > .navbox-image,
tr + tr > .navbox-list {    /* Borders above 2nd, 3rd, etc. rows */
   border-top: 2px solid #fdfdfd; /* Must match background color */
}
}
.navbox th,
.navbox-list {
.navbox-title {
  padding: 0.25em calc(1em + 0.5vw);
   background-color: #ccccff;     /* Level 1 color */
   text-align: center;
}
}
.navbox-abovebelow,
.navbox-list-with-group {
th.navbox-group,
   text-align: left;
.navbox-subgroup .navbox-title {
   background-color: #ddddff;     /* Level 2 color */
}
}
.navbox-subgroup .navbox-group,
.navbox-list-has-subgroup.navbox-list {
.navbox-subgroup .navbox-abovebelow {
   padding: initial;
   background-color: #e6e6ff;     /* Level 3 color */
}
}
.navbox-even {
 
  background-color: #f7f7f7;     /* Even row striping */
@media (min-width: 480px) {
  .navbox .navbar {
    float: left;
    text-align: left;
  }
  .navbox-title-text {
    margin: 0 5em;
    text-align: center;
  }
}
}
.navbox-odd {
@media (min-width: 720px) {
   background-color: transparent; /* Odd row striping */
  .navbox-image {
    display: flex;
    align-items: center;
    justify-content: center;
  }
   .navbox-lists {
    grid-template-columns: auto 1fr;
  }
  .navbox-group {
    padding: 0.25em calc(0.5em + 0.5vw);
  }
  .navbox-list {
    padding: 0.25em;
  }
  .navbox-list:not(.navbox-list-with-group) {
    grid-column: 1/3;
  }
}
}
.navbox .hlist td dl,
@media screen {
.navbox .hlist td ol,
  .navbox {
.navbox .hlist td ul,
    border-color: rgb(162, 169, 177);
.navbox td.hlist dl,
    background-color: rgb(248, 249, 250);
.navbox td.hlist ol,
  }
.navbox td.hlist ul {
  .navbox-title {
   padding: 0.125em 0;       /* Adjust hlist padding in navboxes */
    background-color: rgb(200, 200, 251);
  }
  .navbox-abovebelow, .navbox-group, .navbox-subgroup .navbox-title {
    background-color: rgb(216, 216, 255);
  }
  .navbox-subgroup .navbox-abovebelow, .navbox-subgroup .navbox-group {
    background-color: rgb(234, 235, 255);
  }
  .navbox-even {
    background-color: rgba(148, 148, 252, 0.05);
  }
  html.skin-theme-clientpref-night .navbox {
    border-color: rgba(255, 255, 255, 0.05);
    background-color: rgb(32, 33, 34);
  }
  html.skin-theme-clientpref-night .navbox-title {
    background-color: rgb(43, 40, 79);
  }
  html.skin-theme-clientpref-night .navbox-abovebelow, html.skin-theme-clientpref-night .navbox-group, html.skin-theme-clientpref-night .navbox-subgroup .navbox-title {
    background-color: rgb(31, 27, 65);
  }
  html.skin-theme-clientpref-night .navbox-subgroup .navbox-abovebelow, html.skin-theme-clientpref-night .navbox-subgroup .navbox-group {
    background-color: rgb(20, 15, 52);
   }
  html.skin-theme-clientpref-night.citizen-feature-pure-black-clientpref-1 .navbox {
    background-color: black;
  }
}
}
 
@media screen and (prefers-color-scheme: dark) {
body.skin-minerva .navbox table {
  html.skin-theme-clientpref-os .navbox {
   margin: 0;
    border-color: rgba(255, 255, 255, 0.05);
    background-color: rgb(32, 33, 34);
  }
  html.skin-theme-clientpref-os .navbox-title {
    background-color: rgb(43, 40, 79);
  }
  html.skin-theme-clientpref-os .navbox-abovebelow, html.skin-theme-clientpref-os .navbox-group, html.skin-theme-clientpref-os .navbox-subgroup .navbox-title {
    background-color: rgb(31, 27, 65);
  }
  html.skin-theme-clientpref-os .navbox-subgroup .navbox-abovebelow, html.skin-theme-clientpref-os .navbox-subgroup .navbox-group {
    background-color: rgb(20, 15, 52);
  }
   html.skin-theme-clientpref-os.citizen-feature-pure-black-clientpref-1 .navbox {
    background-color: black;
  }
}
}

2026年3月24日 (二) 19:46的最新版本

/* Navbox styles
 * 导航盒样式
 *
 * @source https://en.wikipedia.org/wiki/Module:Navbox/styles.css
 * @revision 2026-03-24
*/
.navbox {
  border: 1px solid rgb(162, 169, 177);
  padding: 0.25em;
}

.navbox, .navbox-subgroup {
  display: flex;
  flex-direction: column;
  gap: 2px;
}
.navbox .navbox-title, .navbox-subgroup .navbox-title {
  text-align: left;
}

.navbox + .component-templatestyles + .navbox {
  margin-top: -1px;
}

.navbox-title {
  padding: 0.25em calc(0.5em + 0.5vw);
}
.navbox-title-text {
  font-weight: 700;
}
.navbox-body {
  display: flex;
  flex-direction: column;
  flex: 1 0 auto;
  gap: 2px;
}
.navbox-abovebelow {
  text-align: center;
  padding: 0.25em calc(0.5em + 0.5vw);
}
.navbox-ci {
  display: flex;
  gap: 2px;
}
.navbox-image {
  flex: 0 0 auto;
  display: none;
  padding: 0 0.25em;
}
.navbox-lists {
  flex: 1 1 auto;
  display: grid;
  grid-template-columns: 1fr;
  gap: 2px;
}
.navbox-group {
  padding: 0.25em calc(0.5em + 0.5vw);
  font-weight: 700;
}
.navbox-list {
  padding: 0.25em calc(1em + 0.5vw);
  text-align: center;
}
.navbox-list-with-group {
  text-align: left;
}
.navbox-list-has-subgroup.navbox-list {
  padding: initial;
}

@media (min-width: 480px) {
  .navbox .navbar {
    float: left;
    text-align: left;
  }
  .navbox-title-text {
    margin: 0 5em;
    text-align: center;
  }
}
@media (min-width: 720px) {
  .navbox-image {
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .navbox-lists {
    grid-template-columns: auto 1fr;
  }
  .navbox-group {
    padding: 0.25em calc(0.5em + 0.5vw);
  }
  .navbox-list {
    padding: 0.25em;
  }
  .navbox-list:not(.navbox-list-with-group) {
    grid-column: 1/3;
  }
}
@media screen {
  .navbox {
    border-color: rgb(162, 169, 177);
    background-color: rgb(248, 249, 250);
  }
  .navbox-title {
    background-color: rgb(200, 200, 251);
  }
  .navbox-abovebelow, .navbox-group, .navbox-subgroup .navbox-title {
    background-color: rgb(216, 216, 255);
  }
  .navbox-subgroup .navbox-abovebelow, .navbox-subgroup .navbox-group {
    background-color: rgb(234, 235, 255);
  }
  .navbox-even {
    background-color: rgba(148, 148, 252, 0.05);
  }
  html.skin-theme-clientpref-night .navbox {
    border-color: rgba(255, 255, 255, 0.05);
    background-color: rgb(32, 33, 34);
  }
  html.skin-theme-clientpref-night .navbox-title {
    background-color: rgb(43, 40, 79);
  }
  html.skin-theme-clientpref-night .navbox-abovebelow, html.skin-theme-clientpref-night .navbox-group, html.skin-theme-clientpref-night .navbox-subgroup .navbox-title {
    background-color: rgb(31, 27, 65);
  }
  html.skin-theme-clientpref-night .navbox-subgroup .navbox-abovebelow, html.skin-theme-clientpref-night .navbox-subgroup .navbox-group {
    background-color: rgb(20, 15, 52);
  }
  html.skin-theme-clientpref-night.citizen-feature-pure-black-clientpref-1 .navbox {
    background-color: black;
  }
}
@media screen and (prefers-color-scheme: dark) {
  html.skin-theme-clientpref-os .navbox {
    border-color: rgba(255, 255, 255, 0.05);
    background-color: rgb(32, 33, 34);
  }
  html.skin-theme-clientpref-os .navbox-title {
    background-color: rgb(43, 40, 79);
  }
  html.skin-theme-clientpref-os .navbox-abovebelow, html.skin-theme-clientpref-os .navbox-group, html.skin-theme-clientpref-os .navbox-subgroup .navbox-title {
    background-color: rgb(31, 27, 65);
  }
  html.skin-theme-clientpref-os .navbox-subgroup .navbox-abovebelow, html.skin-theme-clientpref-os .navbox-subgroup .navbox-group {
    background-color: rgb(20, 15, 52);
  }
  html.skin-theme-clientpref-os.citizen-feature-pure-black-clientpref-1 .navbox {
    background-color: black;
  }
}